### Enumeration

# Qmi DmsRadioInterface

since: 1.0

#### Declaration

    enum Qmi.DmsRadioInterface

#### Description [src]

Radio interface type.

Available since: 1.0

#### Members

`QMI_DMS_RADIO_INTERFACE_CDMA20001X`

  CDMA2000 1x.

  - Value: `1`
  - Available since: 1.0
`QMI_DMS_RADIO_INTERFACE_EVDO`

  CDMA2000 HRPD (1xEV-DO).

  - Value: `2`
  - Available since: 1.0
`QMI_DMS_RADIO_INTERFACE_GSM`

  GSM.

  - Value: `4`
  - Available since: 1.0
`QMI_DMS_RADIO_INTERFACE_UMTS`

  UMTS.

  - Value: `5`
  - Available since: 1.0
`QMI_DMS_RADIO_INTERFACE_LTE`

  LTE.

  - Value: `8`
  - Available since: 1.0
`QMI_DMS_RADIO_INTERFACE_TDS`

  TDS. Since 1.32.

  - Value: `9`
  - Available since: 1.0
`QMI_DMS_RADIO_INTERFACE_5GNR`

  5G NR. Since 1.26.

  - Value: `10`
  - Available since: 1.0

#### Type functions

###### qmi_dms_radio_interface_get_string

Gets the nickname string for the `QmiDmsRadioInterface` specified at `val`.

since: 1.0